Skip to main content
GET
/
v3
/
stores
/
{store_id}
/
public
/
items
List storefront items
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/public/items \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>'
{
  "data": [
    {
      "id": 123,
      "slug": "<string>",
      "name": "<string>",
      "entity_type": "product",
      "item_type": "<string>",
      "in_stock": true,
      "price_range": {
        "min": "<string>",
        "max": "<string>"
      },
      "images": [
        "<string>"
      ],
      "description": "<string>",
      "meta_thumbnail": "<string>",
      "is_multiple": true,
      "option1_name": "<string>",
      "option2_name": "<string>",
      "option3_name": "<string>",
      "taxonomy": {
        "id": 123,
        "name": "<string>",
        "full_path": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store. Page public API keys are not accepted on Storefront public routes.

Path Parameters

store_id
string
required

Store unique_id.

Response

Paginated storefront item cards

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
true
has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer